<template>
  <v-snackbar
    :timeout="successMessageTimeout"
    bottom
    color="success"
    dark
    multi-line
    right
    v-model="showSuccessMessage"
    v-show="showSuccessMessage"
  >
    <v-icon
      class="mr-3"
      color="white"
    >
      notifications
    </v-icon>
    {{ successMessage }}
    <v-btn @click="showSuccessMessage = false" icon>
      <v-icon size="16">cancel</v-icon>
    </v-btn>
  </v-snackbar>
</template>

<script>

  export default {
    name: 'BaseSuccessMessage',
    computed: {
      showSuccessMessage: {
        get () {
          return this.$store.state.success.showSuccessMessage
        },
        set (value) {
          this.$store.commit('showSuccess', value)
        }
      },
      successMessage () {
        if (this.$store.state.success.successMessageParams) {
          return this.$i18n.t(this.$store.state.success.successMessage, [
            ...this.$store.state.success.successMessageParams
          ])
        } else {
          return this.$i18n.t(this.$store.state.success.successMessage)
        }
      },
      successMessageTimeout () {
        return this.$store.state.success.successMessageTimeout
      }
    },
    watch: {
      successMessage () {
        setTimeout(() => {
          this.showSuccessMessage = this.successMessage !== ''
        }, 100)
      }
    }
  }
</script>
